/*
 * @Date: 2025-04-07 14:23:47
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-11-04 08:56:39
 */
import request from '@/utilsRc/request'

// 查询求职需求列表
export function listJobService(query) {
  return request({
    url: '/manage/personDemand/list',
    method: 'get',
    params: query
  })
}

// 查询求职需求详细
export function getJobService(ids) {
  return request({
    url: '/manage/personDemand/' + ids,
    method: 'get'
  })
}

// 新增求职需求
export function addJobService(data) {
  return request({
    url: '/manage/personDemand',
    method: 'post',
    data: data
  })
}

// 修改求职需求
export function updateJobService(data) {
  return request({
    url: '/manage/personDemand',
    method: 'put',
    data: data
  })
}

// 删除求职需求
export function delJobService(ids) {
  return request({
    url: '/manage/personDemand/' + ids,
    method: 'delete'
  })
}

//查询服务次数
export function serviceTraceability(userId) {
	return request({
		url: '/timelime/timelime/getFwcs/' + userId,
		method: 'get'
	})
}
